<?php

/*
 * ユニットが持つテーブルの生成を行う
  * @param tbl_unitのマスタ情報
  * テーブル名は extunit_○○○○（拡張ユニットのフォルダ名）とする
 */
function extunit_install($param, $db) {
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_tmp CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img CASCADE;';
//	$sql[] = 'DROP TABLE IF EXISTS extunit_extflash_img_tmp CASCADE;';

	switch(DBTYPE) {
		case 'pgsql':
				$sql[] = 'CREATE TABLE extunit_extttlimgtxtimg (
					pageu_code		integer,
					title_image		text,
					title_image_sp	text,
					title_image_alt text,
					image	 		text,
					image_sp	 	text,
					image_alt		text,
					image_cap	text,
					title	 		text,
					note	 		text,
					link_text 		text,
					link_target		smallint NOT NULL DEFAULT 0,
					link_url		text,
					bg_color		smallint default 0,
					bdr_type		smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp		smallint default 0,
					bdr_type_sp		smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg 		smallint,
					primary key (pageu_code)
				);';
				$sql[] = 'CREATE TABLE extunit_extttlimgtxtimg_tmp (
					pageu_code		integer,
					title_image		text,
					title_image_sp	text,
					title_image_alt text,
					image	 		text,
					image_sp	 	text,
					image_alt	text,
					image_cap	text,
					title	 		text,
					note	 		text,
					link_text 		text,
					link_target		smallint NOT NULL DEFAULT 0,
					link_url		text,
					bg_color		smallint default 0,
					bdr_type		smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp		smallint default 0,
					bdr_type_sp		smallint default 0,
					btm_padding_sp		smallint default 2,
					use_sp_flg 		smallint,
					primary key (pageu_code)
				);';
			break;

			case "mysql":
				$sql[] = 'CREATE TABLE extunit_extttlimgtxtimg (
					pageu_code		integer,
					title_image		text,
					title_image_sp	text,
					title_image_alt text,
					image	 		text,
					image_sp	 	text,
					image_alt	text,
					image_cap	text,
					title	 		text,
					note	 		text,
					link_text 		text,
					link_target		smallint NOT NULL DEFAULT 0,
					link_url		text,
					bg_color		smallint default 0,
					bdr_type		smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp		smallint default 0,
					bdr_type_sp		smallint default 0,
					btm_padding_sp		smallint default 2,
					use_sp_flg 		smallint,
					primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8';
				$sql[] = 'CREATE TABLE extunit_extttlimgtxtimg_tmp (
					pageu_code		integer,
					title_image		text,
					title_image_sp	text,
					title_image_alt text,
					image	 		text,
					image_sp	 	text,
					image_alt	text,
					image_cap	text,
					title	 		text,
					note	 		text,
					link_text 		text,
					link_target		smallint NOT NULL DEFAULT 0,
					link_url		text,
					bg_color		smallint default 0,
					bdr_type		smallint default 0,
					btm_padding		smallint default 2,
					bg_color_sp		smallint default 0,
					bdr_type_sp		smallint default 0,
					btm_padding_sp	smallint default 2,
					use_sp_flg 		smallint,
					primary key (pageu_code)
				)TYPE = InnoDB DEFAULT CHARSET=utf8;';

				//mysql 5.5対応
				if(isset($db->dbversion) && version_compare($db->dbversion,"5.0.0", ">=")){
				//mysql5.0以上の時はTYPEをENGINEに置換え
					foreach((array)$sql as $k => $v){
						$sql[$k] = str_replace('TYPE = InnoDB','ENGINE = InnoDB', $v);
					}
				}
			break;
		default:
			return false;
			break;
	}
	//sqlの実行
	if(!is_array($sql)||!count($sql)>0) {
		//テーブルのないモジュール、ユニットは存在させない
		return false;
	}
	foreach($sql as $key => $val) {
		if(!$db->query($val)) {
			return false;
		}
	}
	return true;
}
?>